package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/7/7
 */
@Data
public class MessageCenter implements Serializable {

    /**
    *消息id
     */
    private Integer id;
    /**
    供应商id
     */
    private Integer shopID;
    /**
    机构id
     */
    private Integer clubID;
    /**
   用户类型1.机构2.供应商
     */
    private Integer userType;
    /**
     消息类型1.交易物流2.账户通知3.服务通知4.优惠促销
     */
    private Integer messageType;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 操作完成时间
     */
    private String time;

    /**
     * 订单ID
     */
    private Integer orderID;
    /**
     *交易物流1.下单成功通知  2.订单支付完成 3.退款/货成功通知 4.订单取消通知 5.订单发货通知 6.自动收货通知
     */
    private Integer orderMessageType;
}
